Name:           qstat
Version:        2.17
Release:        %mkrel 1
Summary:        Real-time Game Server Status for FPP/FPS servers
License:        Artistic
Group:          Networking/Other
URL:            https://github.com/multiplay/qstat
Source0:        https://github.com/multiplay/qstat/archive/v%{version}/%{name}-%{version}.tar.gz

%description
QStat is a command-line utility for collecting real-time statistics from online
game servers. The games supported are mainly in the first-person-shooter genre
(Quake, Half-Life, Unreal, etc.).

Statistics may be output in a variety of form.

%prep
%autosetup -p1

# file-not-utf8
iconv -f iso8859-1 -t utf-8 CHANGES.txt > CHANGES.txt.conv && mv -f CHANGES.txt.conv CHANGES.txt

%build
export QSTAT_VERSION=%{version}
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove unused files before packing docs.
rm -f info/Makefile* template/Makefile*

%files
%license LICENSE.txt
%doc CHANGES.txt contrib.cfg info/ qstatdoc.html README.md template/
%config(noreplace) %{_sysconfdir}/qstat.cfg
%{_bindir}/%{name}


%changelog
* Wed Dec 28 2022 daviddavid <daviddavid> 2.17-1.mga9
+ Revision: 1927317
- new version: 2.17

* Tue Mar 15 2022 umeabot <umeabot> 2.16-2.mga9
+ Revision: 1793653
- Mageia 9 Mass Rebuild

* Wed Sep 15 2021 akien <akien> 2.16-1.mga9
+ Revision: 1745487
- Version 2.16

* Wed Dec 30 2020 akien <akien> 2.15-0.20201129.1.mga8
+ Revision: 1665733
- Snapshot 20201129
- Drop -quake suffix, it's not quake-specific

* Sat Jul 25 2020 daviddavid <daviddavid> 2.15-0.20200126.1.mga8
+ Revision: 1608894
- Snapshot 20200126

* Sat Feb 15 2020 umeabot <umeabot> 2.15-0.20181201.2.mga8
+ Revision: 1526122
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 26 2019 akien <akien> 2.15-0.20181201.1.mga7
+ Revision: 1395477
- Snapshot 20181201

* Mon Oct 01 2018 daviddavid <daviddavid> 2.15-0.20170127.2.mga7
+ Revision: 1312904
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 2.15-0.20170127.1.mga7
+ Revision: 1092197
- New snapshot 20170127

* Fri Feb 12 2016 umeabot <umeabot> 2.15-0.git2daa7d2.2.mga6
+ Revision: 958706
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 daviddavid <daviddavid> 2.15-0.git2daa7d2.1.mga6
+ Revision: 872934
- new snapshot release: 2.15-git2daa7d27004485069007b8d5443837cfd641d7ae
- update new upstream URL and Source URL
- fix file-not-utf8

* Wed Oct 15 2014 umeabot <umeabot> 2.11-10.mga5
+ Revision: 740470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-9.mga5
+ Revision: 688517
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 danf <danf> 2.11-8.mga5
+ Revision: 675480
- Added strndup.patch to fix compiling on glibc 2.20

* Fri Oct 18 2013 umeabot <umeabot> 2.11-8.mga4
+ Revision: 517887
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.11-7.mga3
+ Revision: 379913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 2.11-6.mga1
+ Revision: 63982
- imported package qstat


* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.11-6mdv2010.0
+ Revision: 442594
- rebuild

* Sat Mar 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.11-5mdv2009.1
+ Revision: 355014
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.11-4mdv2009.0
+ Revision: 269055
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.11-3mdv2009.0
+ Revision: 194507
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.11-2mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.11-2mdv2008.0
+ Revision: 85636
- spec file clean
- use program-suffix rather that rename binary


* Sun Dec 31 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 2.11-1mdv2007.0
+ Revision: 102903
- Import qstat

